Subject: Subproperty with Radio fields doesn't render hidden identity property

Description

If you render a form and access a property in a subpobject in your forms bound object via radio input field there are no hidden identity
fields rendered as the radio input expects a value to be set in addition to the property which in turn prevents the
addAdditionalldentityPropertieslfNeeded() to be called ever.

Related issues:

duplicates TYPO3.Fluid - Bug # 29290: Additional Identity Properties not set ... Resolved 2011-08-26
duplicates TYPO3.Fluid - Bug # 45184: Additional identity filed are not rende... Closed 2013-02-05
History

#1 - 2013-03-14 20:58 - Benno Weinzierl

| am having a somewhat similar problem when an validation-error occurs.

In this case $this->addAdditionalldentityPropertieslfNeeded(); is also not called (in \TYPO3\Fluid\ViewHelpers\Form\AbstractFormFieldViewHelper in
Method getValue() ).

Why is it not called? Was this simply forgotten or is there a reason for not calling $this->addAdditionalldentityPropertieslfNeeded() in these two cases?

| added the method call for the error-case, but then in my create-Form i get the error:
#1243325768: No value found for key "TYPO3\Fluid\ViewHelpers\FormViewHelper->formObject"

So this needs a bit more knowledge of the Fluid internals...

#2 - 2013-03-25 18:46 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/19275

#3 - 2013-03-25 18:46 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/19276

#4 - 2013-03-25 18:56 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19279
#5 - 2013-03-26 17:29 - Bastian Waidelich

- Category set to ViewHelpers

- Status changed from Under Review to Closed
- Assigned To set to Bastian Waidelich

Closing as duplicate of #29290 and #45184 — I'll take care of this now
